Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154769 - Build kernel modules 2.6.11 and after with CONFIG_DRM=m
Summary: Build kernel modules 2.6.11 and after with CONFIG_DRM=m
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL: http://groups.google.co.ve/groups?hl=...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 01:48 UTC by Robert Marcano
Modified: 2015-01-04 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 06:38:18 UTC


Attachments (Terms of Use)

Description Robert Marcano 2005-04-14 01:48:31 UTC
Description of problem:

Unable to load an externally compiled video kernel module (ATI v8.12.10) with
the latest release 2.6.11 kernel, The error after runnng dmesg:

"*ERROR* Unable to the open some already present DRM kernel module!"

Version-Release number of selected component (if applicable):

kernel-2.6.11-1.14_FC3

Additional info:

This message on the kml:
http://groups.google.co.ve/groups?hl=es&lr=&client=firefox-a&rls=org.mozilla:en-US:official&selm=3N0UT-4U6-3%40gated-at.bofh.it

explains that it is recommended for kernels 2.6.11 and after to config DRM as a
module: CONFIG_DRM=m, a change from the current value: CONFIG_DRM=y

This change solves the problem loading the ATI driver

Comment 1 Dave Jones 2005-04-14 05:30:08 UTC
Fixed in CVS for FC3/FC4, will be in subsequent builds.



Note You need to log in before you can comment on or make changes to this bug.